import Step from '../Step';
import PlantList from './PlantList'

export default function ResultsStep(props) {

    function createData(name, growthForm, moisturePreferences, plantTolerances, ecosystemServices, carbonSequestration, plantingStage) {
        return {
            name,
            growthForm,
            moisturePreferences,
            plantTolerances,
            ecosystemServices,
            carbonSequestration,
            plantingStage
        };
    }

    const getTableRows = () => {
        return props.plants.map((plant) => {
            return createData(
                plant.display_name,
                plant.display_growth_form,
                plant.moisture_preferences,
                plant.plant_tolerances,
                plant.ecosystem_services,
                plant.carbon_sequestration,
                plant.stage
            );
        })
    }

    const stepContent = (
        <div className="pt-4">
            <PlantList rows={getTableRows()}/>
        </div>
    )

    return (
        <Step contentComponent={stepContent} />
    )
}
